List Jobs
curl --request GET \
--url https://api.ionworks.com/jobsimport requests
url = "https://api.ionworks.com/jobs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"job_id": "<string>",
"job_type": "dummy",
"status": "pending",
"priority": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"organization_id": "<string>",
"is_terminal": true,
"is_failed": true,
"anyscale_url": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"compute_time": 123,
"error": "<string>",
"error_code": "CONFIGURATION_ERROR",
"error_detail": {},
"result": {},
"callback_url": "<string>",
"parent_job_id": "<string>",
"project_id": "<string>",
"access_level": "organization",
"params_path": "<string>",
"metadata_path": "<string>",
"anyscale_job_id": "<string>",
"submission_info": {}
}
],
"count": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}jobs
List Jobs
List jobs with optional filtering.
Returns a paginated list of jobs with the total count. If job_types is provided, it takes precedence over job_type.
List Jobs
Query Parameters
Filter by job type (for backward compatibility) Possible types for a job
Available options:
dummy, datafit, array_datafit, validation, simulate, evaluate_variables, optimize, ecm_fit, simple_pipeline, linear_confidence_interval, sobol_sensitivity Filter by multiple job types
Possible types for a job
Available options:
dummy, datafit, array_datafit, validation, simulate, evaluate_variables, optimize, ecm_fit, simple_pipeline, linear_confidence_interval, sobol_sensitivity Filter by job status Possible statuses for a job
Available options:
pending, processing, waiting, completed, failed, canceled Number of items to return
Required range:
1 <= x <= 100Number of items to skip
Required range:
x >= 0Filter by job IDs
Was this page helpful?